Bug 738733 - remove old deltacloud scripts for aeolus-image-restart script
Summary: remove old deltacloud scripts for aeolus-image-restart script
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: CloudForms Cloud Engine
Classification: Retired
Component: rubygem-aeolus-image
Version: 1.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
Assignee: Jason Guiditta
QA Contact: wes hayutin
URL: na
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-15 17:16 UTC by wes hayutin
Modified: 2012-01-26 12:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-07 12:49:55 UTC


Attachments (Terms of Use)

Description wes hayutin 2011-09-15 17:16:28 UTC
Description of problem:

#!/usr/bin/ruby

# ordered as in rc.d
services = %w(mongod messagebus iwhd postgresql httpd qpidd deltacloud-ec2-us-east-1 deltacloud-ec2-us-west-1 deltacloud-mock libvirtd condor aeolus-conductor conductor-dbomatic imagefactory)


please add deltacloud-core


[root@hp-xw6600-01 nodes]# rpm -qa | grep aeolus
aeolus-conductor-0.4.0-0.20110914191507git6354644.fc15.noarch
aeolus-conductor-doc-0.4.0-0.20110914191507git6354644.fc15.noarch
aeolus-conductor-daemons-0.4.0-0.20110914191507git6354644.fc15.noarch
rubygem-aeolus-image-0.1.0-3.20110914104314gitb6195f6.fc15.noarch
aeolus-configure-2.0.2-4.20110914145605git811b13e.fc15.noarch
aeolus-all-0.4.0-0.20110914191507git6354644.fc15.noarch

Comment 1 Jason Guiditta 2011-09-16 17:35:17 UTC
Sent to list for review.

commit 54c99a960752e41ca6a9e8c5fbcd65421ec0b63e
Author: Jason Guiditta <jguiditt@redhat.com>
Date:   Fri Sep 16 13:27:25 2011 -0400

    BZ #738733 remove old deltacloud scripts for aeolus-image-restart script
    
    https://bugzilla.redhat.com/show_bug.cgi?id=738733
    
    Fixed this in both restart and check scripts. Removed messagebus restart
    which was causing X to restart/crash.

Comment 2 Jason Guiditta 2011-09-20 20:18:50 UTC
Someone else pushed another version of this before I could push mine:

commit 0e3e4ee8d3726d2dab3a27fac71681a9eb514005
Author: Maros Zatko <mzatko@redhat.com>
Date:   Tue Sep 20 15:53:44 2011 +0200

    aeolus-restart-services fix for single deltacloud instance

Comment 3 Aziza Karol 2011-09-22 06:38:16 UTC
Old deltacloud scripts for aeolus-restart-services and aeolus-check-services script has been remove and deltacloud-core is added.

[root@dell-pesc440-01 nodes]# vi /usr/sbin/aeolus-restart-services
# ordered as in rc.d
services = %w(mongod iwhd postgresql httpd qpidd deltacloud-core libvirtd aeolus-conductor conductor-dbomatic imagefactory ntpd)

[root@dell-pesc440-01 nodes]# vi /usr/bin/aeolus-check-services 
# ordered as in rc.d
init_scripts=%w(mongod iwhd postgresql httpd qpidd deltacloud-core libvirtd aeolus-conductor conductor-dbomatic imagefactory ntpd)



verified on:
[root@dell-pesc440-01 nodes]# rpm -qa | grep aeolus
aeolus-conductor-doc-0.4.0-0.20110921152740gitac47a38.fc15.noarch
aeolus-conductor-daemons-0.4.0-0.20110921152740gitac47a38.fc15.noarch
rubygem-aeolus-image-0.1.0-3.20110919115936gitd1d24b4.fc15.noarch
aeolus-configure-2.0.2-4.20110921102958gitcaa9608.fc15.noarch
aeolus-conductor-0.4.0-0.20110921152740gitac47a38.fc15.noarch
aeolus-all-0.4.0-0.20110921152740gitac47a38.fc15.noarch
[root@dell-pesc440-01 nodes]# rpm -qa | grep imagefactory
imagefactory-0.6.2-1.fc15.noarch
rubygem-imagefactory-console-0.5.0-4.20110824113238gitd9debef.fc15.noarch


This issue can be marked as verified


Note You need to log in before you can comment on or make changes to this bug.